import Vue from 'vue';
import Router from 'vue-router';
import Home from './containers/Home.vue';
import DatePicker from './containers/DatePicker.vue';
import SearchItem from './containers/SearchItem.vue';

Vue.use(Router);

const routerMap = [
  { path: '', component: Home },
  { path: '/DatePicker', component: DatePicker },
  { path: '/SearchItem', component: SearchItem },
];

export default new Router({
  // mode: 'history',
  scrollBehavior: () => ({ y: 0 }),
  routes: routerMap,
});
